using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Identity;

namespace AGSS.Models.Entities;

public class UserModel:IdentityUser<string>
{
   
    public string? Sex { get; set; }
    [MaxLength(100)]
    public string? Description { get; set; }
    [MaxLength(200)]
    public string? Config { get; set; }
    [MaxLength(10)]
    public string? JobCode { get; set; }
    [MaxLength(10)]
    public string? JobName { get; set; }
    [MaxLength(20)]
    public string? Birthday { get; set; }
    [MaxLength(500)]
    public string? MenuCode { get; set; }
    [MaxLength(500)]
    public string? MenuName { get; set; }
    
}

public class RoleModel : IdentityRole<string>
{
    
}